{
  "name": "test",
  "version": "2.3.1",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint": "eslint . --fix",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@intlify/unplugin-vue-i18n": "^11.0.0",
    "@tailwindcss/forms": "^0.5.3",
    "hls.js": "^1.4.10",
    "oh-vue-icons": "^1.0.0-rc3",
    "register-service-worker": "^1.7.2",
    "video.js": "^8.0.4",
    "videojs-contrib-quality-levels": "^4.1.0",
    "videojs-hls-quality-selector": "^2.0.0",
    "vue": "^3.3.9",
    "vue-i18n": "^11.1.11",
    "vue-router": "^4.1.6"
  },
  "devDependencies": {
    "@intlify/vue-i18n-loader": "^5.0.1",
    "@tailwindcss/typography": "^0.5.9",
    "@tsconfig/node22": "^22.0.2",
    "@types/node": "^22.16.5",
    "@types/video.js": "^7.3.51",
    "@types/videojs-contrib-quality-levels": "^2.0.1",
    "@types/videojs-hls-quality-selector": "^1.1.0",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.6.0",
    "@vue/tsconfig": "^0.8.1",
    "autoprefixer": "^10.4.13",
    "eslint": "^9.31.0",
    "eslint-plugin-vue": "~10.4.0",
    "git-describe": "^4.1.1",
    "npm-run-all2": "^8.0.4",
    "prettier": "3.6.2",
    "jiti": "^2.4.2",
    "tailwindcss": "^3.4.17",
    "tailwindcss-themer": "^4.1.1",
    "typescript": "^5.9.2",
    "vite": "^7.0.6",
    "vite-plugin-vue-devtools": "^8.0.0",
    "vue-tsc": "^3.0.6"
  }
}
